import { CommandObj, DjsCommandControlClient } from "../types";
import Command from "./Command";
export default class {
    readonly name: string;
    private _commands;
    private _initialize;
    constructor(name: string);
    /**
     * The function to call when initializing the plugin
     *
     * @param value
     */
    set initialize(value: (djsCommandControl: DjsCommandControlClient | null) => DjsCommandControlClient | false);
    get initialize(): (djsCommandControl: DjsCommandControlClient | null) => DjsCommandControlClient | false;
    /**
     * Get bundled commands from the plugin
     */
    get commands(): CommandObj[];
    /**
     * Adds a command to bundle with the plugin
     *
     * @param {Command} command The command to bundle
     */
    addBundledCommand(command: Command): void;
}
