"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Command_1 = __importDefault(require("./Command"));
class default_1 {
    constructor(name) {
        this._commands = [];
        this._initialize = (arg0 = null) => false;
        this.name = name;
    }
    /**
     * The function to call when initializing the plugin
     *
     * @param value
     */
    set initialize(value) {
        this._initialize = value;
    }
    get initialize() {
        return this._initialize;
    }
    /**
     * Get bundled commands from the plugin
     */
    get commands() {
        return this._commands;
    }
    /**
     * Adds a command to bundle with the plugin
     *
     * @param {Command} command The command to bundle
     */
    addBundledCommand(command) {
        if (command instanceof Command_1.default) {
            this._commands.push(command.command);
        }
        else {
            throw new Error("TypeError: command not an instance of Command");
        }
    }
}
exports.default = default_1;
